# Purism Firmware Jail

The FW jail is a squashfs written to the NOR flash of the Librem5. These scripts and services mount the jail when found in the flash.

# Flashing the Jail

If youir device does not have the jail flashed follow the directions below. These steps are performed on a PC connected to the phone via a USB cable.

Checkout librem5-devkit-tools.

```
git clone https://source.puri.sm/Librem5/librem5-devkit-tools
cd librem5-devkit-tools
```

Install uuu

```
sudo apt get install uuu
```

If your distro does not have uuu then it can be built and installed

```
./scripts/build_uuu.sh -i
```

Download the jail FW

```
mkdir -p files
wget https://source.puri.sm/Librem5/firmware-librem5-nonfree/-/jobs/389262/artifacts/raw/firmware.sqsh -O files/firmware.sqsh
```

Flash the firmware jail

```
./scripts/write_flash.sh files/firmware.sqsh 0x30000
```

Once you see `Wait for Known USB Device Appear...`, put your phone into flashing mode and connect it to your PC.

# Install the helper scripts

On the phone run the command below and the rebot the system to activate the jail

```
sudo apt install librem5-fw-jail
```
